
#include <QTextStream>
#include <cstdio>

/* Here is how we we get QTextStreams that look like iostreams */

//QTextStream cin(stdin, IO_ReadOnly);
//QTextStream cout(stdout, IO_WriteOnly);
//QTextStream cerr(stderr, IO_WriteOnly);

#include "sysmon.h"
#include "sysmon_impl.h"

SystemMonitor::SystemMonitor()
{
    impl = new SystemMonitorImpl();
}

SystemMonitor::~SystemMonitor()
{
    delete impl;
}

const QString SystemMonitor::get(const QString & name) const {
    return impl->get(name);
}

void SystemMonitor::print() const
{
    /*
  cout << "--- System Monitoring ---" <<endl;
  const data_t data = impl->get_all();
  for(data_t::ConstIterator it=data.begin();it!=data.end();++it) {
 const QString name = it.key();
 const QString value = it.data();
 if (name.isNull() || value.isNull()) continue;
 cout << name << " = " << value <<endl;
  }
  cout << "-------------------------" <<endl;
  */
}

