#ifndef _BITOP_H
#define _BITOP_H 1

//#define set_bit_value(d, mask, state) {if (state) (d) |= (mask); else (d) &= ~(mask);}
inline void set_bit_value(unsigned int *d, unsigned int mask, bool state) {
    if (state) *d |= mask; else *d &= ~mask;
}

void bitcopy (unsigned char *dst, int doff, const unsigned char *src, int soff, int len);
int bitcmp (const unsigned char *in, const unsigned char *out, int len);
void bitprintdiff (const unsigned char *in, const unsigned char *out, int len);
void bitprint (const unsigned char *in, int len);

#endif /* _BITOP_H */
