#include "daq_ipc.h"

const char *daq_state_str (daq_state_t st)
{
    switch (st) {
    case ST_OFF:
        return ("OFF");
    case ST_RESET:
        return ("RESET");
    case ST_RUN:
        return ("RUN");
    case ST_PAUSE:
        return ("PAUSE");
    case ST_ERROR:
        return ("ERROR");
    case ST_FAILURE:
        return ("FAILURE");
    default:
        return ("unknown");
    }
}
