#ifndef STOPWATCHTIMER_H
#define STOPWATCHTIMER_H

#include <QObject>
#include <QDateTime>

class StopWatchTimer : public QObject
{
    Q_OBJECT
public:
    explicit StopWatchTimer(QObject *parent = 0);
    double elapsed() const;

signals:

public slots:
    void restart();
    void start();
    void stop();
    void reset();

private:
    bool isRunning;
    QDateTime tv_rundma;
    double runTimeSave;
    double lastrunduration;
};

#endif // STOPWATCHTIMER_H
