//
//    Copyright 2013 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef RUNCONFIG_H
#define RUNCONFIG_H

#include <QtGlobal>
#include <QMetaType>

class RunConfig
{
public:
//    void print() const;
    bool operator==(const RunConfig &other) const;
    bool operator!=(const RunConfig &other) const {return !operator==(other);}

    bool stopCondition = true;
    bool stopByTimer = false;
    bool stopByEventCount = false;
    double stopTimerValue = 60;
    quint64 stopEventCountValue = 1000;
};

Q_DECLARE_METATYPE(RunConfig)

#endif // RUNCONFIG_H
