#ifndef CONFIG_H
#define CONFIG_H

#include <QMap>
#include <QString>
#include <QMetaType>
#include <mldiscover/DeviceDescription.h>

class QSettings;

struct Config
{
    Config() : verifyAfterWrite(true) {}

    void loadSettings();
    void saveSettings();

    QString filePath;
    bool verifyAfterWrite;
    QVector <DeviceIndex> devices;
};
Q_DECLARE_METATYPE(Config)

#endif // CONFIG_H
