#ifndef CONFIG_H
#define CONFIG_H

#include <QString>

class Config
{
public:
    enum REG_TYPE{REG_TYPE_16=0,
                  REG_TYPE_32=1,
                  REG_TYPE_64=2};
    Config();
    void loadSettings();
    void saveSettings();

    quint64 devSerial;
    quint16 devId;
    bool enabled;
    bool isCustom;
    REG_TYPE regType;
    quint16 regAddr;
    quint64 regWriteVal;
};

#endif // CONFIG_H
