#include "MainWindow.h"
#include <QApplication>
#include <QString>
#include <QDebug>
#include <iostream>

int main(int argc, char *argv[])
{
    QCoreApplication::setOrganizationName("AFI Electronics");
    QCoreApplication::setOrganizationDomain("local");
    QCoreApplication::setApplicationName("DevRegEdit");

    int ret;
    try{
        QApplication a(argc, argv);
        MainWindow w;
        w.show();
        ret = a.exec();
    } catch (std::exception &e) {
        std::cerr << "Exception: " << e.what () << std::endl;
    }

    return ret;
}
