#include "device-discover/DiscoverDialog.h"
#include "DeviceHistory.h"

#include <iostream>

#include <QApplication>
#include <QString>
#include <QDebug>

#include "MainWindow.h"

int main(int argc, char *argv[])
{
    QCoreApplication::setOrganizationName("AFI Electronics");
    QCoreApplication::setOrganizationDomain("local");
    QCoreApplication::setApplicationName("MLDiscover");

    int ret = 1;
    try {
        QApplication a(argc, argv);
        MainWindow w;
        w.show();
        ret = a.exec();
    } catch (std::exception &e) {
        std::cerr << "Exception: " << e.what () << std::endl;
    }

    return ret;
}
