#ifndef CONFIG_H
#define CONFIG_H

#include "mldiscover/DeviceIndex.h"
#include "mongo/StartupOptions.h"
#include "mongo/RootConfig.h"
#include "mongo/BaseConfig.h"
#include "DeviceConfig.h"

class Config : BaseConfig
{
public:
    Config(StartupOptions &start_opt);
    void read_config();
    void write_config();
    void update_root();
    QString program_type;
    QString program_index;
    QString configuration_name;
    int hit_extension;
    bool show_log;
    QMap<DeviceIndex, DeviceConfig> device_configs;
    RootConfig root;
    RootConfig default_root;
};

#endif // CONFIG_H
