#ifndef DATATYPES_H
#define DATATYPES_H

#include <lib-common/MpdRawTypes.h>

struct HrbHeader{
    quint32 deviceSerialId;
    quint32 field2;
    quint32 timeStampLo;
    quint32 timeStampHi;
} __attribute__ ((packed));


struct HrbTS{
    quint32 timeStampLo;
    quint32 timeStampHi;
} __attribute__ ((packed));


struct HrbSample{
    quint32 samples[4];
} __attribute__ ((packed));

struct VMEDataTypes{
    quint32 vmeVol;
} __attribute__ ((packed));

#endif // DATATYPES_H
