#include "MainWindow.h"
#include <QApplication>
#include <QString>
#include <QDebug>
#include <iostream>
#include <QHostAddress>


int main(int argc, char *argv[])
{
    QCoreApplication::setOrganizationName("AFI Electronics");
    QCoreApplication::setOrganizationDomain("local");
    QCoreApplication::setApplicationName("transceiver_test");

    int ret = 1;
    try{
        QApplication a(argc, argv);
        MainWindow mainWindow;
        mainWindow.show();

        a.exec();
    } catch (std::exception &e) {
        std::cerr << "Exception: " << e.what () << std::endl;
    }

    return ret;
}
