
// exceptions

#ifndef EXC_H
#define EXC_H

#include <stdexcept>
#include <string>
namespace mlink {

    class exc: public std::runtime_error {
    public:
        explicit exc(const std::string &s): runtime_error(s) { }
    };

    class exc_dev: public std::runtime_error {
    public:
        explicit exc_dev(const std::string &s): runtime_error(s) { }
    };

    class svf_parse_error: public std::runtime_error
    {
    public:
        explicit svf_parse_error(const std::string &str) : runtime_error(str) {}
    };

    class exc_hwif: public exc {
    public:
        explicit exc_hwif(const std::string &s) : exc(s) {}
    };
}

#endif /* EXC_H */
