//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#include "mymutexlocker.h"

MyMutexLockerDebug::MyMutexLockerDebug(const QString &t)
    : title(t)
{
    //  log_debug(1, "lock %s", title.utf8());
}

MyMutexLockerDebug::~MyMutexLockerDebug()
{
    //  log_debug(1, "unlock %s", title.utf8());
}


MyMutexLocker::MyMutexLocker(QMutex * mutex, const QString &title)
    : MyMutexLockerDebug(title), QMutexLocker(mutex)
{
}

MyMutexLocker::~MyMutexLocker()
{
}
