#ifndef QUTIL_H
#define QUTIL_H

#include <QObject>
#include <QCursor>
#include <QSize>

class QWidget;

class localWaitCursor: public QObject
{
public:
    explicit localWaitCursor(QWidget *w);
     ~localWaitCursor() override;
private:
    QWidget *widget;
    QCursor save_cursor;
};

class globalWaitCursor: public QObject
{
public:
    globalWaitCursor();
     ~globalWaitCursor() override;
private:
    QCursor save_cursor;
};

class ScopedWidgetDisabler: public QObject {
public:
    explicit ScopedWidgetDisabler(QWidget *p);
    ~ScopedWidgetDisabler() override;
protected:
    QWidget *widget;
    bool saveState;
};
/*
class QTimer;
class TimerStarterOnDestruct
{
public:
    explicit TimerStarterOnDestruct(QTimer *timer, int msec, bool sshot = false);
    ~TimerStarterOnDestruct();
private:
    QTimer *p_timer;
    int p_msec;
    bool p_sshot;
};
*/
class MyWidgetState
{
public:
    //  QRect rect;
    QPoint pos;
    QSize size;
    bool shown = false;
};

#endif /* QUTIL_H */
