/*
**    Copyright 2019 Ilja Slepnev
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef PROGRAMARGUMENTS_H
#define PROGRAMARGUMENTS_H

#include <QtGlobal>
#include <QString>

class ProgramArguments
{
public:
    ProgramArguments();
    void parseCommandLine();
    bool show_help_and_exit = false;
    bool print_version_and_exit = false;
    bool autorun = true;
    int debug = 0;
//    quint64 bufsize = 0;
//    bool enable_test = false;
    QString config;
};

#endif // PROGRAMARGUMENTS_H
