#ifndef _TIMER_H
#define _TIMER_H


struct ftimer_t {
    //void reset();
    void start();
    void stop();
    void resume();
    double read();
    double read_clear();
    double overhead_min();
    double overhead_avg();

    double tstart = 0;
    double tstop = 0;
    double saved = 0;
    int running = 0;
    int n_reads = 0;
};

//extern double cpu_clk;
extern double timer_read_cost_min;
extern double timer_read_cost_avg;

//clocks_t get_cycles (void);
//double get_cpu_clk (void);

void init_tsc_timer ();

#endif /* _TIMER_H */
