#ifndef CALCONFIG_H
#define CALCONFIG_H
#include "DeviceCalibration.h"

#include <QString>
#include <QMap>

class DeviceIndex;
class QSettings;

class CalConfig
{
public:
    virtual ~CalConfig() {}
    void calibrationUpdated(QMap<DeviceIndex, DeviceCalibration> newCal, QString baseDir);
    virtual void reloadCalibration();

protected:
    void reloadCalibration(QSettings &s);
    QString getInlSectionStr(const DeviceIndex &devIndex);
    DeviceIndex getDevIndexByGroup(QString groupStr, QString &type);

public:
    QMap<DeviceIndex, DeviceCalibration> allCal;
};

#endif // CALCONFIG_H
