#include "TDC2ViewerStartupOptions.h"
#include <QCoreApplication>

TDC2ViewerStartupOptions::TDC2ViewerStartupOptions(QString program_type_) :
    StartupOptions(program_type_),
    inl(false),
    inl_option(QStringList() << "i" << "inl",
               QCoreApplication::translate("main", "Enables save INL correction"))
{
}

void TDC2ViewerStartupOptions::parse_options()
{
    StartupOptions::addOption(inl_option);
    StartupOptions::parse_options();
    inl = isSet(inl_option);
}
