/*
**    Copyright 2020 Ilja Slepnev
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef DEVICE_FEATURES_H
#define DEVICE_FEATURES_H

#include "mregdev/fw_version.h"

constexpr auto REV_MSTREAM_CFG = fw_version_t(1, 0, 25502);
constexpr auto REV_HPTDC_STANDBY = fw_version_t(1, 0, 26588);
constexpr auto REV_STAT_PRESET = fw_version_t(1, 0, 28329);
constexpr auto REV_STAT_PRESET2 = fw_version_t(1, 0, 28334);
constexpr auto REV_RUN_COUNTERS = fw_version_t(1, 0, 28465);
constexpr auto REV_EVNUM_INCREMENT = fw_version_t(1, 0, 28510);
constexpr auto REV_60000 = fw_version_t(1, 0, 60000);

#endif // DEVICE_FEATURES_H
