#include "LogDialog.h"
#include "ui_LogDialog.h"
#include "base/PrintInfo.h"

LogDialog::LogDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::LogDialog)
{
    ui->setupUi(this);
}

LogDialog::~LogDialog()
{
    delete ui;
}

void LogDialog::addLog(const QString &log)
{
    ui->plainTextEdit->appendPlainText(log);
    print(log);
}
